##### startup parameters
Param | Description 
  --- | --- 
api_port  | api port ,default: 8008
email | account email
pwd   | account password  
local | local intranet ip or 127.0.0.1
    

#####  example

```text
./piaproxyS5 -api_port=8008 -email=xxxxxx@gmail.com -pwd=11111111 -local=127.0.0.1
```

## /Api/ISP Residential Proxy

#### Api URL
> http://127.0.0.1:8008/api/get_ip?port=30000&num=1&country=US&city=&zip=&isp=

#### Method
> GET

#### Query Params
Parameter name | example | Type | Required | Description
--- | --- | --- | --- | ---
port | 30000 | String | no | proxy start port
num | 1 | String | no | proxy port num
country | US | String | no | country code
city | - | String | no | -
zip | - | String | no | post code
isp | - | String | no | ISP
state | - | String | no | State

##### country code 
> https://www.piaproxy.com/country/

## /Api/Free all port

#### ApiURL
> http://127.0.0.1:8008/api/port_free

#### Method
> GET


## /Api/Free the port


#### ApiURL
> http://127.0.0.1:8008/api/port_free?port=30000

#### Method
> GET

#### Request Query Params
Parameter name | example | Type | Required | Description
--- | --- | --- | --- | ---
port | 30000 | String | yes | Delete the specific port


## /Api/Exclusive Long-actin Proxy


#### ApiURL
> http://127.0.0.1:8008/api/static?port=30000&country=us&ip=xx.xxx.xx.xxx

#### Method
> GET


#### Request Query Params
Parameter name | example | Type | Required | Description
--- | --- | --- | --- | ---
port | 30000 | String | yes | local proxy port (1025-65535)
country | us | String | no | us or empty, default  all countries
ip | xx.xxx.xx.xxx | String | no | a specified IP

``